var t;
(t = getApp()),
  Page({
    data: { serviceSumCount: 0, serviceSumMoney: 0 },
    onLoad: function (a) {
      this.getDetail(a.orderid);
    },
    copyBtnb: function (t) {
      console.log(t),
        wx.setClipboardData({
          data: a,
          success: function (a) {
            wx.showToast({
              icon: "success",
              title: "复制成功",
              duration: 1500,
              success: function () {},
            });
          },
          fail: function () {
            wx.showToast({ icon: "loading", title: "复制失败" });
          },
        });
    },
    handleInput: function (a) {
      var t = a.split("\n").length,
        e = Math.max(130 * t, 100);
      this.setData({ textareaValue: a, textareaHeight: e });
    },
    getDetail: function (a) {
      var e = this,
        n = { orderid: a };
      t.getdata(n, "jqxid").then((t) => {
        if ((console.log("回调数据：", t), t)) {
          e.setData({ cardata: t.data, orderid: a });
          var n = JSON.parse(t.data.record);
          console.log(n),
            e.setData({ records: n.data.detail }),
            e.handleInput(n.data.detail.stateDes);
        }
      });
    },
    onReady: function () {},
    onShow: function () {},
    onHide: function () {},
    onUnload: function () {},
    onPullDownRefresh: function () {},
    onReachBottom: function () {},
    onShareAppMessage: function () {
      return {
        title: this.data.cardata.cars + "交强险查询报告",
        path: "/packageA/pages/carjqx/carcxjl?orderid=" + this.data.orderid,
      };
    },
    onShareTimeline: function () {
      return {
        title: this.data.cardata.cars + "交强险查询报告",
        path: "/packageA/pages/carjqx/carcxjl?orderid=" + this.data.orderid,
      };
    },
  });
